> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heyhumm.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Command Editor Thread

> Create a persisted command editor workflow thread.



## OpenAPI

````yaml https://analyst.heyhumm.ai/api/openapi.json post /commands/{command_id}/editor/thread
openapi: 3.1.0
info:
  title: Analyst API
  description: API for the Analyst service with proper organization-scoped permissions
  version: 1.0.0
servers:
  - url: https://analyst.heyhumm.ai
security: []
paths:
  /commands/{command_id}/editor/thread:
    post:
      tags:
        - commands
      summary: Create Command Editor Thread
      description: Create a persisted command editor workflow thread.
      operationId: create_command_editor_thread_commands__command_id__editor_thread_post
      parameters:
        - name: command_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: Command ID
            title: Command Id
          description: Command ID
        - name: organization_id
          in: query
          required: true
          schema:
            type: string
            title: Organization Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommandEditorThreadCreateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandEditorThreadResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CommandEditorThreadCreateRequest:
      properties:
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
      additionalProperties: false
      type: object
      title: CommandEditorThreadCreateRequest
      description: Request payload for creating a command editor workflow thread.
    CommandEditorThreadResponse:
      properties:
        id:
          type: string
          title: Id
        organization_id:
          type: string
          title: Organization Id
        user_id:
          type: string
          title: User Id
        workflow_type:
          type: string
          title: Workflow Type
        title:
          type: string
          title: Title
        status:
          type: string
          title: Status
        last_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Message
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        applied_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Applied At
        archived_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Archived At
      type: object
      required:
        - id
        - organization_id
        - user_id
        - workflow_type
        - title
        - status
        - created_at
        - updated_at
      title: CommandEditorThreadResponse
      description: Persisted command editor workflow thread metadata.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````